org.apache.ignite.internal.processors.query.stat

## Class ObjectPartitionStatisticsImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.ObjectStatisticsImpl
  - - org.apache.ignite.internal.processors.query.stat.ObjectPartitionStatisticsImpl

All Implemented Interfaces:
  Cloneable, ObjectStatistics

    public class ObjectPartitionStatisticsImpl
    extends ObjectStatisticsImpl

Statistic for some partition of data object.

### Constructor Summary

Constructors
Constructor and Description
`ObjectPartitionStatisticsImpl(int partId, long rowsCnt, long updCnt, Map<String,ColumnStatistics> colNameToStat)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectPartitionStatisticsImpl` `clone()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`int` `partId()`
`String` `toString()`
`long` `updCnt()`

### Methods inherited from class org.apache.ignite.internal.processors.query.stat.ObjectStatisticsImpl

`columnsStatistics, columnStatistics, rowCount, subtract`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectPartitionStatisticsImpl

    public ObjectPartitionStatisticsImpl(int partId,
                                         long rowsCnt,
                                         long updCnt,
                                         Map<String,ColumnStatistics> colNameToStat)

Constructor.

Parameters:
  `partId` - Partition id.
  `rowsCnt` - Total count of rows in partition.
  `updCnt` - Update counter of partition.
  `colNameToStat` - Column key to column statistics map.

### Method Detail

#### partId

    public int partId()

Returns:
  Partition id.

#### updCnt

    public long updCnt()

Returns:
  Partition update counter.

#### clone

    public ObjectPartitionStatisticsImpl clone()

Overrides:
  `clone` in class `ObjectStatisticsImpl`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `ObjectStatisticsImpl`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ObjectStatisticsImpl`

#### toString

    public String toString()

Overrides:
  `toString` in class `ObjectStatisticsImpl`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023